/*@formatter:off*/
/* VARIABILI COLORI */
:root {
    /* colore principale TEST ( table e toolbar bottoni veloci) */
    --main-app-color: #c04b91;
}

/* Override CSS foundation */
/**
 *  Range dei breakpoint
 *  $small-range:(0em,55em);     @media screen and (max-width:55em) {}
 *  $medium-range:(55.063em,64em);  @media screen and (min-width:55.063em) and (max-width:64em) {}
 *  $large-range:(64.063em,90em);   @media screen and (min-width:64.063em) and (max-width:90em) {}
 *  $xlarge-range:(90.063em,120em); @media screen and (min-width:90.063em) and (max-width:120em) {}
 *  $xxlarge-range:(120.063em);   @media screen and (min-width:120.063em) {}
 */

[type=color], [type=date], [type=datetime-local], [type=datetime], [type=email], [type=month], [type=number], [type=password], [type=search], [type=tel], [type=text], [type=time], [type=url], [type=week], textarea {
    font-size: 0.875rem;
    color: rgba(0,0,0,0.75);
}
.row > .column, .row > .columns {
    padding: 0 0.3rem;
}
.row > .column.tablecolumn, .row > .columns.tablecolumn {
    overflow-y: scroll;
    padding-right: 0;
    margin-top: 13px;
    margin-right: 7px;
}
.row > .column.tablecolumn>table, .row > .columns.tablecolumn>table {
    margin: 0;
}
.row > .column.tablecolumn>table.disabilitato, .row > .columns.tablecolumn>table.disabilitato {
    /*border-right: none;*/
}
input:disabled, input[readonly], textarea:disabled, textarea[readonly] {
    cursor: auto;
}
/* spostare in un CSS di jquery? */
.ui-widget-header {
    background: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    background: var(--main-app-color);
    border: none;
}
.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
    color: #454545;
}
.ui-datepicker-today .ui-state-highlight {
    border: 1px solid #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    border: 1px solid var(--main-app-color);
    color: #700000;
}

.ui-dialog-cyb {
    width: 50px;
    height: 50px;
    border-radius: 0;
}
.ui-dialog-cyb .ui-dialog-titlebar {
    background: none;
    border-style: none;
    color: black;
}
.ui-dialog-cyb .ui-dialog-titlebar-close {
    border-radius: 0;
    background: #FFF !important;
    margin: -20px 12px 0 0;
    width: 10px;
}
.ui-dialog-cyb .ui-dialog-content, .ui-dialog-cyb .ui-dialog-content .row {
    width: 100% !important;
}
.ui-dialog-cyb .ui-dialog-title {
    border-bottom: 2px solid #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    border-bottom: 2px solid var(--main-app-color);
    color: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    color: var(--main-app-color);
    text-transform: uppercase;
    width: 100%;
    font-size: 1.1rem;
}
.ui-dialog-cyb .ui-button .ui-widget .ui-state-default .ui-corner-all .ui-button-text-only {
    background-color: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    background-color: var(--main-app-color);
}
.ui-dialog-cyb.ui-state-default, .ui-dialog-cyb .ui-widget-content .ui-state-default, .ui-dialog-cyb .ui-widget-header .ui-state-default {
    border: none;
    background: none;
}
.ui-dialog-cyb .ui-state-hover, .ui-dialog-cyb .ui-widget-content .ui-state-hover, .ui-dialog-cyb .ui-widget-header .ui-state-hover, .ui-dialog-cyb .ui-state-focus, .ui-dialog-cyb .ui-widget-content .ui-state-focus, .ui-dialog-cyb .ui-widget-header .ui-state-focus {
    background: none;
}

.ui-dialog-cyb.ui-widget-content {
    background: #FFFFFF;
    min-width: 380px !important;
}
.ui-dialog-cyb .ui-dialog-buttonpane {
    padding: 0;
}
.ui-dialog-cyb .ui-widget-content {
    border: none;
    background-color: #FFF !important;
}
.ui-dialog-cyb .ui-state-default, .ui-dialog-cyb .ui-widget-content .ui-state-default, .ui-dialog-cyb .ui-widget-header .ui-state-default {
    color: #FFF;
}
.ui-dialog-cyb .ui-dialog-buttonpane button {
    font-size: 14px;
    margin-right: 15px;
    color: #FFFFFF;
}
.ui-dialog-cyb .ui-dialog-content {
    font-size: 15px;
    background-color: #FFF !important;
}
table.ui-datepicker-calendar, table.ui-datepicker-calendar > thead, table.ui-datepicker-calendar > tbody, table.ui-datepicker-calendar > tbody > tr {
    background-color: #FFFFFF;
    border: none;
}
td.ui-state-holiday > a.ui-state-default {
    border: 1px solid #F17A7A;
}
td.ui-state-holiday > a.ui-state-active {
    background: #F0C0C0;
    color: #5f3f3f;
}
.ui-state-active, .ui-widget-content .ui-state-active {
    border: 1px solid #C5C5C5;
    background-color: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    background-color: var(--main-app-color);
    color: #FFFFFF;
}

/* CSS Cyber.project Srl */
@font-face {
    font-family: Verdana;
    src: url(font/Verdana.ttf);
}
@font-face {
    font-family: DejaVuSerif;
    src: url(font/DejaVuSerif.ttf);
}
@font-face {
    font-family: DejaVuSerif;
    font-weight: bold;
    src: url(font/DejaVuSerif-Bold.ttf);
}
@font-face {
    font-family: DejaVuSerif;
    font-style: italic;
    src: url(font/DejaVuSerif-Italic.ttf);
}
@font-face {
    font-family: DejaVuSerif;
    font-weight: bold;
    font-style: italic;
    src: url(font/DejaVuSerif-BoldItalic.ttf);
}
html, body {
    width: 100%;
    height: 100%;
    min-height: 100%;
    font-family: Verdana, Geneva, Arial, Helvetica, sans-serif;
    font-size: 15px;
}
body {
    /* Safari 3.1+ */
    -webkit-user-select: none;
    /* Firefox 2+ */
    -moz-user-select: none
    /* IE 10+ */;
    -ms-user-select: none;
    /* Standard syntax,e quale è l'unico browser che usa la sintassi standard? Google Chrome \o/ */
    user-select: none;
}
/*body::selection, input::selection {
    background-color: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`
    background-color: var(--main-app-color);
    color: #FFFFFF;
}*/
/* scrollbar per chrome */
/* addresses the background of the bar itself. It is usually covered by the other elements*/
::-webkit-scrollbar {
    border: 1px solid red;
    width: 17px;
    height: 17px;
}
/* addresses the directional buttons on the scrollbar*/
::-webkit-scrollbar-button {
    background-size: 100%;
    border: 1px solid #D3D3D3;
    width: 17px;
    height: 17px;
}
::-webkit-scrollbar-button:vertical:decrement {
    background: url('/img/icons/scrollv-up.png');
    border-left: none;
    border-bottom: none;
}
::-webkit-scrollbar-button:vertical:increment {
    background: url('/img/icons/scrollv-down.png');
    border-left: none;
    border-top: none;
}
::-webkit-scrollbar-button:horizontal:decrement {
    background: url('/img/icons/scrollh-left.png');
    border-top: none;
    border-right: none;
}
::-webkit-scrollbar-button:horizontal:increment {
    background: url('/img/icons/scrollh-right.png');
    border-top: none;
    border-left: none;
}
/*addresses the empty space "below" the progress bar*/
::-webkit-scrollbar-track:vertical {
    border-right: 1px solid #D3D3D3;
    background-color: #F0F0F0;
}
::-webkit-scrollbar-track:horizontal {
    border-bottom: 1px solid #D3D3D3;
    background-color: #F0F0F0;
}
/*is the top-most layer of the the progress bar not covered by the draggable scrolling element (thumb)
::-webkit-scrollbar-track-piece {
    border: 1px solid yellow;
}*/
/*addresses the draggable scrolling element that resizes depending on the size of the scrollable element*/
::-webkit-scrollbar-thumb {
    border: 1px solid #D3D3D3;
    background-color: #CDCDCD;
    curosr: pointer;
}
::-webkit-scrollbar-thumb:hover {
    background-color: #909090;
}
/*addresses the (usually) bottom corner of the scrollable element, where two scrollbars might meet*/
::-webkit-scrollbar-corner {
    border-right: 1px solid #D3D3D3;
    border-bottom: 1px solid #D3D3D3;
    background-color: #F0F0F0;
}
/*addresses the draggable resizing handle that appears above the scrollbar-corner at the bottom corner of some elements
::-webkit-resizer {
    background-color: pink;
}*/
/* FINE scrollbar per chrome */
html.postlogin, body.postlogin {
    background-color: #FEFBFB;
}
.no-overflow {
    overflow: hidden;
}
div#cybChangePwd {
    display: none;
}
#debugitem {
    display: none;
    position: fixed;
    bottom: 1.3rem;
    right: 12rem;
    width: auto;
    height: 30px;
    color: pink;
    background: rgba(255,255,255,0.75);
    text-align: right;
}
#remgrid {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    background-color: rgba(255,255,255,0.25)
}
#remgrid > div {
    min-width: 1rem;
    width: 1rem;
    max-width: 1rem;
    min-height: 1rem;
    height: 1rem;
    max-height: 1rem;
    font-size: 0.4rem;
    display: table-cell;
    text-align: center;
    vertical-align: middle
}
#remgrid > div:nth-of-type(odd) {
    background-color: rgba(225,225,225,0.25);
}
#remgrid > div:nth-of-type(even) {
    background-color: rgba(225,225,225,0.75);
}
.glasspane {
    position: absolute;
    top: 0;
    left: 0;
    background-color: white;
    width: 100% !important;
    max-width: 100% !important;
    height: 100%;
    max-height: 100%;
    display: block;
    background-image: url("/img/icons/loading.gif");
    background-repeat: no-repeat;
    /*background-position: center;*/
    background-position: 50% 35%;
    z-index: 999;
}
.popup_glasspane {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0.5;
    background-color: gray;
    /* Chrome,Opera,Safari */
    -webkit-user-select: none;
    /* Firefox 2+ */
    -moz-user-select: none;
    /* IE 10+ */
    -ms-user-select: none;
    /* Standard syntax */
    user-select: none;
    text-align: center;
    vertical-align: middle;
    font-size: 100px;
    font-weight: bolder;
}
.glasspaneimg {
    position: absolute;
    top: 0;
    left: 0;
    background-color: white;
    width: 100% !important;
    max-width: 100% !important;
    height: 100%;
    max-height: 100%;
    display: block;
    z-index: 999;
}
.layerpane {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0.5;
    z-index: 98;
    background-color: gray;
    /* Chrome,Opera,Safari */
    -webkit-user-select: none;
    /* Firefox 2+ */
    -moz-user-select: none;
    /* IE 10+ */
    -ms-user-select: none;
    /* Standard syntax */
    user-select: none;
    text-align: center;
    vertical-align: middle;
}
.waitbar {
    display: none;
    background: url(/img/icons/spinner_AFAFAF.gif) no-repeat;
    background-position: center;
    position: absolute;
    top: 0;
    left: 0;
}
.waittext {
    color: rgba(255, 255, 255, 0.75);
    width: 100%;
    height: 20px;
    text-align: center;
}
.preloadingforms {
    position: absolute;
    top: 0;
    left: 0;
    background-color: white;
    width: 100% !important;
    max-width: 100% !important;
    height: 100%;
    max-height: 100%;
    display: none;
    z-index: 9999;
}
.preloadingforms > iframe {
    width: 100% !important;
    max-width: 100% !important;
    height: 100%;
    max-height: 100%;
}
button {
    background-color: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    background-color: var(--main-app-color) !important;
}
.button {
    height: 40px;
    margin: 0px;
    text-align: center;
    background-color: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    background-color: var(--main-app-color) !important;
}
.button.check {
    width: 50px;
    padding: 1% 0.5%;
}
.button.check.red {
    background-color: #AA0000;
}
.button.check.green {
    background-color: #00AA00;
}
div.siamo_al_telefono {
    display: none;
    width: 1px;
    height: 1px;
    border: none;
}
@media screen and (max-width: 55rem) {
    div.siamo_al_telefono {
        display: block;
        position: absolute;
        bottom: 0;
        left: 0;
    }
}
.testatatable[data-sortcolumn="1"] {
    cursor: pointer;
}
/* ============================== FIELD SET ============================== */
fieldset {
    width: calc(100% - 20px);
    border: 1px solid #888888;
    margin-bottom: 5px;
    padding: 0 8px 8px 8px;
    background-color: #FFFFFF;
    box-shadow: 4px 4px #DBBABA;
    margin-left: 8px;
}
fieldset > legend {
    color: #700000;
    font-weight: bold;
    font-size: 10px;
    margin-bottom: 0;
}
fieldset.nolegend {
    padding-top: 8px;
}
fieldset.noborder {
    border: none;
}
/* ============================== FIELD CONTENT ============================== */
div.fieldcontent {
    padding-right: 15px;
    height: 40px;
}
div.fieldcontent.doublesearch {
    padding-right: 0 !important;
}
div.fieldcontent.margin-top {
    padding-right: 15px;
    margin-top: 11px;
}
div.fieldcontent.margin-top-4 {
    margin-top: 4px;
}
div.fieldcontent table {
    margin: 0;
    font: inherit;
}
div.fieldcontent > table td {
    padding: 0;
}
div.fieldcontent tbody, div.fieldcontent > table tr, table.fieldcontainer tbody {
    background-color: transparent;
}
table.fieldcontainer {
    margin: 0;
}
table.fieldcontainer td {
    padding: 0;
}
table.fieldcontainer td.leftspace {
    padding-left: 25px;
}
/* ============================== FIELD INPUT ============================== */
.input_hidden {
    display: none;
}
.fieldcontent .radiobutton_label .fieldlabel {
    height: 16px;
}
.fieldcontent .fieldlabel {
    padding-left: 3px;
    font-weight: normal;
    font-size: 0.78rem;
    height: 18px;
    color: #000000;
    white-space: nowrap;
}
textarea {
    resize: none;
}
input[type], textarea {
    height: 1.3rem;
    padding: 0 4px;
    margin-bottom: 0;
}
input[type="text"]:focus, input[type="password"]:focus, input[type="date"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="month"]:focus, input[type="week"]:focus, input[type="email"]:focus, input[type="number"]:focus, input[type="search"]:focus, input[type="tel"]:focus, input[type="time"]:focus, input[type="url"]:focus, textarea:focus {
    background: #FFFFBB none repeat scroll 0% 0%;
}
input.disabilitato, input.disabilitato:focus, textarea.disabilitato, textarea.disabilitato:focus, input[type="text"][readonly]:focus, textarea[readonly]:focus {
    border: 1px solid #BBBBBB;
    background-color: #E0E0E0;
    cursor: auto;
    box-shadow: none;
}
input.input_error, textarea.input_error {
    border: solid 1px red;
    background-color: #FFCCCC;
}
.input_table,.input_table:focus{
    background-color: #FFFFFF;
    border: none;
    cursor: inherit;
    font-size: 12px;
    font-family: inherit;
    color: #4D4D4D;
    box-shadow: none;
    outline: none;
}
.input_table[readonly],input.input_table[type="text"][readonly]:focus {
    background-color: transparent;
    border: none !important;
}
.input_table.disabilitato {
    background-color: transparent;
    border: none;
}
.input_table.celleditor {
    background-color: transparent;
}
/* ============================== SEARCH FIELD ============================== */
.searchresult {
    display: none;
    border-top: 1px solid #D3D3D3;
    border-left: 1px solid #D3D3D3;
    position: absolute;
    background-color: #FFFFFF;
    padding: 10px;
}
.searchresult_header {
    height: 25px;
    background-color: #FFFFFF;
    border-bottom: 2px solid #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    border-bottom: 2px solid var(--main-app-color);
    margin: 5px 2px;
}
.searchresult_header > span {
    margin: 0 5px;
    font-weight: bold;
    font-size: 1.1em;
    vertical-align: bottom;
    color: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    color: var(--main-app-color);
}
.searchresult_content {
    overflow-y: scroll;
    overflow-x: auto;
    max-height: 390px;
    max-width: 720px;
}
.searchresult_content > table {
    width: 100%;
    border: 1px solid #D3D3D3;
    border-radius: 0;
}
.searchresult_content > table tr > * {
    border-top: 1px solid #D3D3D3;
    font-weight: normal;
    font-size: 12px;
    padding: 0;
}
.searchresult_content > table tr.filtriavanzati > * {
    border-right: 1px solid #D3D3D3;
}
.searchresult_content > table tr > th {
    color: #FFFFFF;
    height: 22px;
}
.searchresult_content > table tr > td {
    color: #4D4D4D;
    height: 20px;
    cursor: pointer;
    vertical-align: bottom;
    padding: 2px 4px;
}
.searchresult_content > table tr > td:not(:last-of-type) {
    border-right: 1px solid #D3D3D3;
}
.searchresult_content > table tr:not(.filtriavanzati) > td > input[type="text"], .searchresult_content > table tr:not(.filtriavanzati) > td > input[type="text"]:focus {
    background-color: transparent;
    border: none;
    cursor: inherit;
    font-size: 12px;
    font-family: inherit;
    color: #4D4D4D;
    box-shadow: none;
}
.searchresult_content > table tr:nth-child(odd) {
    background-color: #FAFAFA;
}
.searchresult_content > table tr:nth-child(even) {
    background-color: #FFFFFF;
}
.searchresult_content > table tr:first-of-type {
    background-color: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    background-color: var(--main-app-color);
}
.searchresult_header_close {
    background-image: url(../img/dialogclose.png);
    background-repeat: no-repeat;
    background-position: top right;
    margin-right: 5px;
    height: 20px;
    width: 20px;
    float: right;
}
.searchresult_header_close:hover {
    background-image: url(../img/dialogclose_hover.png);
    cursor: pointer;
}
.searchfield_img {
    vertical-align: text-top;
    cursor: pointer;
}
.searchfield_img.disabilitato {
    filter: grayscale(1) contrast(.25);
}
.searchresult_toolbar {
    margin: 3px 2px 2px 2px;
}
.searchresult_toolbar > img {
    width: 25px;
    cursor: pointer;
    margin-right: 5px;
}
.searchresult_toolbar > img.disabled {
    cursor: auto;
    /* Firefox */
    filter: grayscale(100%);
    /* IE6-9 */
    filter: gray;
    /* Chrome 19+,Safari 6+,Safari 6+ iOS */
    -webkit-filter: grayscale(100%);
    -moz-filter: grayscale(100%);
    -o-filter: grayscale(100%);
}
/* ============================== DATEPICKER ============================== */
input.datepicker, input.datepicker_dis {
    text-align: center;
}
.datepicker_img {
    vertical-align: text-top;
    padding-top: 1px;
    padding-left: 1px;
    cursor: pointer;
}
.datepicker_img.disabilitato {
    filter: grayscale(1) contrast(.25);
}
td.datepicker_icon, td.datepicker_next, td.datepicker_back, td.datepicker_today {
    width: 22px;
}
td.datepicker_field {
    width: auto;
}
td.datepicker_next > img, td.datepicker_back > img {
    padding-top: 1px;
    width: 17px;
}
td.datepicker_next > img {
    padding-left: 1px;
}
td.datepicker_back > img {
    padding-right: 1px;
}
td.datepicker_today > img {
    padding-left: 6px;
}
/* ============================== RADIO BUTTON ============================== */
input[type=radio] {
    border: 0px;
    height: 14px;
    width: 14px;
    margin: 0;
    border: 1px solid #BBBBBB;
    border-radius: 7px;
    background-color: #FFFFFF;
    vertical-align: bottom;
    accent-color: #4D4D4D;
}
input[type=radio].searchfield_radio {
    height: 11px;
    width: 11px;
    display: -webkit-inline-box;
    vertical-align: top;
}
input[type=radio]:focus {
    background-color: #FFFFFF;
    outline: none;
}
input[type=radio]:disabled {
    background-color: #DDDDDD;
}
td.radiobutton_label {
    width: auto;
}
td.radiobutton_label > * {
    padding-left: 4px;
}
td.radiobutton_input {
    width: 14px;
}
td.searchfield_radiotd, td.textfield_radiotd {
    /*font-family: DejaVuSerif;*/
    font-size: 11px;
    font-weight: bold;
    color: #4d4d4d;
    padding-left: 3px !important;
}
td.textfield_radiotd {
    padding: 1px 0 !important;
}
td.textfield_radiotd > input {
    margin-top: 2px;
}
.float_left {
    float: left;
}
/* ============================== CHECKBOXES ============================== */
input[type=checkbox] {
    border: 0px;
    height: 15px;
    width: 15px;
    margin: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: 1px solid #BBBBBB;
    background-color: #FFFFFF;
    vertical-align: middle;
}
.fieldcontent input[type=checkbox] {
    margin-bottom: 5px;
}
.fieldcontent input.disabilitato[type=checkbox] {
    background-color: #E0E0E0;
}
input[type=checkbox].searchfield_check {
    height: 11px;
    width: 11px;
    display: -webkit-inline-box;
    vertical-align: top;
}
input[type=checkbox]:checked:after {
    content: '\2714';
    font-size: 16px;
    position: relative;
    top: -2px;
    left: -4px;
    color: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    color: var(--main-app-color);
}
input[type=checkbox].searchfield_check:checked:after {
    top: -4px;
    left: -5px;
    font-size: 14px;
}
input[type=checkbox]:focus {
    background-color: #FFFFFF;
    outline: none;
}
input[type=checkbox]:disabled {
    background-color: #DDDDDD;
}
td.checkbox_label {
    width: auto;
}
td.checkbox_label > * {
    padding-left: 4px;
    margin-bottom: 5px;
}
td.checkbox_input {
    width: 15px;
    margin: 0;
}
td.searchfield_checktd, td.textfield_checktd {
    /*font-family: DejaVuSerif;*/
    font-size: 11px;
    font-weight: bold;
    color: #4d4d4d;
    padding-left: 3px !important;
}
td.textfield_checktd {
    padding: 1px 0 !important;
}
td.textfield_checktd > input {
    margin-top: 2px;
}
td.searchfield_button {
    min-width: 16px;
    width: auto;
}
td.searchfield_button > img {
    cursor: pointer;
}
/* ============================== DOWNLOAD FIELD ============================== */
.cybDownloadField {
    float: left;
    padding-bottom: 20px;
    cursor: pointer;
}
.cybDownloadField img {
    display: block;
    margin: 0 auto;
    cursor: pointer;
}
.cybDownloadField div:last-of-type {
    text-align: center;
}
/* ============================== LOGIN ============================== */
.radius {
    border-radius: 3px;
}
.loginlogo {
    max-width: 800px;
    margin: auto
}
.logincontainer {
    width: 100%;
    padding: 0 0 0 0;
}
#logindialog {
    margin: 1rem auto 0 auto;
    width: 350px;
    border-color: #d8d8d8;
    border-style: solid !important;
    border-width: 2px;
    padding: 1.2rem;
}
#logindialog input[type] {
    padding: 0.5rem;
    margin-bottom: 0.5rem;
    height: 2.2rem;
}
#loginbutton {
    background: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    background: var(--main-app-color);
    height: 30px;
    font-weight: bold;
    margin: 0px;
    text-align: center;
}
.logintext {
    margin-bottom: 5px;
    color: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    color: var(--main-app-color);
    font-weight: bold;
}
.logo_login {
    max-height: 240px;
    margin: 0 auto;
    display: block;
}
.twinfield {
    padding-left: 0px;
    padding-right: 0px;
}
#errormsg.error {
    border: solid 1px red;
    background-color: #FFCCCC;
    margin-left: 5px;
    border-radius: 3px;
    font-weight: bold;
    font-size: 0.9rem;
    color: rgba(0,0,0,0.75);
}
#googlechromeok {
    margin: 2px auto;
    width: 350px;
    text-align: right;
    font-size: 0.75rem;
}
#googlechromeok a, #googlechromeok a:hover {
    color: inherit;
}
#googlechromeok img {
    width: 16px;
    height: 16px;
    margin-right: 5px;
}
/* ============================== MENU SUPERIORE ============================== */
.top-menu {
    background-color: #F2F2F2;
    padding: 0;
}
.top-menu-mobile {
    position: absolute;
    top: 30px;
    right: 0;
    height: calc(100% - 30px);
    background-color: #F6FAFE;
    border: 1px solid #336699;
    overflow-y: auto;
    z-index: 2;
}
.top-menu-mobile li.is-accordion-submenu-parent:not(:last-of-type) {
    border-bottom:1px solid #336699;
    margin-bottom:4px;
}
.top-menu .menu > li > a, .top-menu-mobile .menu > li > a {
    padding: 0.2rem 0.5rem;
    color: #000000;
    font-size: 0.8rem;
    white-space: nowrap;
}
.top-menu > .dropdown.menu > li.is-dropdown-submenu-parent ul {
    background-color: #F2F2F2;
}
.top-menu > .dropdown.menu > li.is-dropdown-submenu-parent ul li a:hover {
    background-color: #FEFBFB;
}
.top-menu > .dropdown.menu > li.is-dropdown-submenu-parent > a:after {
    display: none;
}
.top-menu .is-dropdown-submenu-parent a:after {
    display: none;
}
.top-menu .dropdown.menu > li.is-dropdown-submenu-parent > a::after {
    margin-top: -6px;
}
.top-menu .menu > li > a[data-active=""], .top-menu-mobile .menu > li > a[data-active=""] {
    cursor: default;
    color: #898989;
}
.top-menu .dropdown.menu.vertical > li.opens-right > a::after {
    border-color: transparent transparent transparent #4F4F4F;
}
.top-menu-mobile a:hover {
    background-color: #91C9F7;
}
.mobile-menu-background {
    display: none;
    position: absolute;
    top: 30px;
    left: 0;
    width: 100%;
    height: calc(100% - 30px);
    background-color: rgba(0,0,0,0.5);
    z-index: 1;
}
.is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a::after {
    border-color: transparent transparent transparent #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    border-color: transparent transparent transparent var(--main-app-color);
}
/* ============================== DATA SISTEMA ============================== */
.sysdate {
    margin-bottom: 0;
    background: transparent;
    padding: 4px;
    float: right;
}
.sysdate input {
    float: right;
    width: 1px;
    height: 20px;
    color: transparent;
    background-color: transparent;
    box-shadow: none;
    border: none;
    margin-right: 18px;
}
.sysdate input::selection {
    background-color: transparent;
}
.sysdate input:focus {
    color: transparent;
    background-color: transparent;
    box-shadow: none;
    border: none;
    outline: none;
}
.sysdatetext, .sysdatebutton {
    float: right;
    text-align: right;
    padding: 0 2px;
    height: 20px;
    cursor: auto;
    font-weight: normal;
    font-size: 10px;
}
.sysdatebutton {
    cursor: pointer;
}
.sysdatetext, .sysdatebutton {
    color: #FFFFFF;
    font-size: 11px;
}
.sysdatetext.not_today {
    color: red;
    font-weight: bold;
}
/* ============================== MENU AZIONI VELOCI E MENU DI SISTEMA ============================== */
#action-menu {
    padding-top: 00;
}
.action-menu, .system-menu {
    height: 3rem;
    background-color: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    background-color: var(--main-app-color);
    max-height: 40px;
    border-bottom: 1px solid #A0A0A0;
    vertical-align: middle;
    box-shadow: 5px 2px 5px #DBBABA;
}
.action-menu > .action-button, .system-menu > .action-button {
    cursor: pointer;
    padding: 2px;
    margin-right: 4px;
    height: 38px;
}
.action-menu > .action-button:hover, .system-menu > .action-button:hover {
    background-color: #FEFBFB;
    border: 1px outset #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    border: 1px outset var(--main-app-color);
    border-radius: 18px;
    padding: 1px;
}
.action-menu > .action-button.disabled, .action-menu > .action-button.disabled:hover
.system-menu > .action-button.disabled, .system-menu > .action-button.disabled:hover {
    /* Firefox */
    filter: grayscale(100%);
    /* IE6-9 */
    filter: gray;
    /* Chrome 19+,Safari 6+,Safari 6+ iOS */
    -webkit-filter: grayscale(100%);
    -moz-filter: grayscale(100%);
    -o-filter: grayscale(100%);
    cursor: default;
    background: none;
    border: none;
}
.system-menu > img {
    float: right;
    padding: 0 2px;
}
.action-button-filler {
    font-size: 26px;
    color: #FFF;
    font-weight: bold;
    text-transform: uppercase;
    position: absolute;
    top: 0;
    left: 0;
}
/* ============================== APPLICAZIONI LATERALI ============================== */
.side-tabs {
    position: relative;
    right: 0;
    /* aumentare se aumentano i tab */
    width: 500px;
    height: 20px;
}
.side-tabs > ul {
    position: absolute;
    margin: 0;
    padding: 0;
    list-style: none;
    -webkit-transform-origin: 0 0;
    -moz-transform-origin: 0 0;
    -o-transform-origin: 0 0;
    transform-origin: 0 0;
    -webkit-transform: rotate(90deg) translate(15px,-35px);
    -moz-transform: rotate(90deg) translate(15px,-35px);
    -o-transform: rotate(90deg) translate(15px,-35px);
    transform: rotate(90deg) translate(15px,-35px);
    filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);
    width: 300px;
}
.side-tabs > ul li {
    position: relative;
    float: left;
    width: 95px;
    margin-left: -0.5rem;
}
.side-tabs > ul li:first-of-type {
    margin-left: 0.5rem;
}
.side-tabs > ul li a {
    display: block;
    padding: 5px 0 3px 0;
    font-size: 0.75rem;
    text-decoration: none;
    text-align: center;
    color: #000000;
    background-color: #F0F0F0;
    margin-top: 8px;
    border: 1px solid #888888;
    border-bottom: none;
    border-top-right-radius: 25px;
    border-bottom-left-radius: 0px;
    outline: none;
}
.side-tabs > ul li.side-tab-selected {
    z-index: 10;
}
.side-tabs > ul li.side-tab-selected a {
    background-color: #FFFFFF;
    font-weight: bold;
    margin-top: 0;
    padding-bottom: 8px;
    padding-top: 8px;
}
.side-tabs > ul li a:hover {
    background-color: #888888;
    color: #FFFFFF;
}
.side-tabs .z-index-9 {
    z-index: 9;
}
.side-tabs .z-index-8 {
    z-index: 8;
}
.side-tabs .z-index-7 {
    z-index: 7;
}
.side-tabs .z-index-6 {
    z-index: 6;
}
.side-tabs .z-index-5 {
    z-index: 5;
}
.side-tabs .z-index-4 {
    z-index: 4;
}
.side-tabs .z-index-3 {
    z-index: 3;
}
.side-tabs .z-index-2 {
    z-index: 2;
}
.side-tabs .z-index-1 {
    z-index: 1;
}
/* ============================== MENU LATERALE ============================== */
.side-menu {
    text-align: right;
}
.side-menu .side-button {
    margin-top: 0.4rem;
    padding: 0.2rem;
    max-width: 115px;
    cursor: pointer;
    border: 1px solid #ADADAD;
    background-color: #E1E1E1;
    text-align: center;
    right: 0;
}
.side-menu .side-button:hover {
    border: 1px solid #0078D7;
    background-color: #E5F1FB;
}
.side-menu .side-button > img {
    vertical-align: top;
    padding-top: 2px;
}
.side-menu .side-button > .side-button-text {
    font-size: 0.7rem;
    display: inline-block;
    text-align: center;
}
.side-menu > .row > .columns.filler {
    padding: 0;
}
.side-menu .side-button.disabled img, .side-menu .side-button.disabled:hover img {
    /* Firefox */
    filter: grayscale(100%);
    /* IE6-9 */
    filter: gray;
    /* Chrome 19+,Safari 6+,Safari 6+ iOS */
    -webkit-filter: grayscale(100%);
    -moz-filter: grayscale(100%);
    -o-filter: grayscale(100%);
    opacity: 0.5;
}
.side-menu .side-button.disabled, .side-menu .side-button.disabled:hover {
    cursor: default;
    border: 1px solid #BFBFBF;
    background-color: #CCCCCC;
}
@media screen and (min-width: 64em) {
    .side-menu .side-button > img {
        float: none;
    }
}
@media screen and (min-width: 55em) {
    .side-menu-container {
        position: absolute;
        bottom: 0.3rem;
    }
    .side-menu .side-button {
        float: left;
        margin-left: 1.0rem;
        margin-right: 1.9rem;
    }
}
/* ============================== FORM PRINCIPALE ============================== */
.main-row {
    padding-top: 0px;
    /*border:1px solid red;*/
}
.main-row.postlogin {
    background-color: #FEFBFB;
    margin-top: 6px;
}
.main-row > .columns {
    height: 100%;
}
.main-row .side-tabs-container {
    height: 25rem;
}
#main-content {
    width: 100%;
    height: 100%;
    min-height: 100%;
    padding: 0;
    margin: 0;
}
#main-content.postlogin {
    /*border: 1px solid #888888;*/
    border-top-left-radius: 3px;
}
.sys-content {
    display: none;
}
.form-content {
    border-right: 1px solid #888888;
    border-bottom: 1px solid #888888;
    height: calc(100% - 25px);
    max-width: 100%;
    padding: 0;
}
div.form-tab-container {
    border-bottom: 1px solid #888888;
}
div.form-tab {
    display: inline-block;
    position: relative;
    top: 1px;
    border-bottom: 1px solid #FFFFFF;
    cursor: pointer;
}
div.form-tab>svg {
    fill: #E0E0E0;
    stroke: #000000;
    stroke-width: 1;
    position: absolute;
    bottom: 0;
}
div.form-tab.form-tab-selected>svg {
   fill: #FEFBFB;
}
div.form-tab>svg+div {
    margin-left: 19px;
}
div.form-tab>div.form-tab-label {
    border: 1px solid black;
    border-left: none;
    border-bottom: none;
    border-top-right-radius: 10px;
    padding: 1px 10px 1px 5px;
    display: inline-block;
    font-size: 11px;
    font-weight: bold;
    background-color: #E0E0E0;
}
div.form-tab.form-tab-selected>div.form-tab-label {
    background-color: #FEFBFB;
}
div.form-tab:first-child > div.form-tab-label > i.fas {
    display: none;
}
div.form-tab>div.form-tab-label>i.fas {
    border: 1px solid transparent;
    padding: 0 2px;
    margin-right: 2px;
}
div.form-tab>div.form-tab-label>i.fas:hover {
    border: 1px solid #000000;
}
div.appbar {
    /* border-top: 1px solid #A0A0A0; */
    border-top: none;
    height: 26px;
    width: 100%;
    padding: 0 0.2rem 0 0.8rem;
    background-color: #FEFBFB;
}
div.appbar div.appbar_item {
    display:inline-block;
    font-size: 11px;
    height: 16px;
    white-space: nowrap;
}
div.appbar div.appbar_item.labelstatus {
    width: calc(100% - 725px);
}
div.appbar div.appbar_item.labelazienda {
    width: 300px;
    text-align: right;
    cursor: pointer;
}
div.appbar div.appbar_item.labelutente {
    width: 200px;
    text-align: right;
    cursor: pointer;
}
div.appbar div.appbar_item.labelcyber {
    width: 100px;
}
div.appbar div.appbar_item.labelcyber>* {
    float: right;
}
div.appbar div.appbar_item.labelversion {
    width: 100px;
    text-align: right;
    cursor: pointer;
}
div#loaded-forms.loaded-forms {
    display: none;
    visibility: hidden;
}
div.row.form_row {
    margin: 0;
}
@media screen and (min-width: 55em) {
    .main-row {
        height: calc(100% - 70px);
    }
    .main-row-left {
        width: calc(100% - 45px);
        float: left;
        height: 100%;
    }
    .main-row-left.postlogin {
        background-color: #FEFBFB;
    }
    .main-row-right {
        width: 40px;
        float: left;
        height: 100%;
    }
}
.row {
    max-width: 100%;
}
.hidden {
    display: none;
}
.hidden_fake {
    width: 1px !important;
    height: 1px !important;
    border: none;
}
.pdfframe {
    border: none;
    width: 100%;
    height: 100%;
}
.general_toolbar {
    padding-top: 10px;
}
.general_toolbar > .general_button {
    float: right;
    padding: 4px;
    cursor: pointer;
}
.general_toolbar > .general_button.disabled {
    /* Firefox */
    filter: grayscale(100%);
    /* IE6-9 */
    filter: gray;
    /* Chrome 19+,Safari 6+,Safari 6+ iOS */
    -webkit-filter: grayscale(100%);
    -moz-filter: grayscale(100%);
    -o-filter: grayscale(100%);
    cursor: default;
}
/* FORM TOOLBAR */
.toolbar {
    width: 100%;
    /*border-bottom: 2px outset #FEFEFE;*/
    border-bottom: 1px solid #A0A0A0;
    padding: 0;
    margin: 0;
    height: 40px;
    background-color: #f1f1f1 !important;
    box-shadow: 0 2px 5px #DBD0BA;
    margin-bottom: 4px;
}
.toolbar table {
    margin: 0;
}
.toolbar tbody {
    margin: 0;
    background-color: #FFFFFF !important;
}
.toolbar td {
    padding: 0;
}
.toolbar_left td {
    width: 30px;
}
.toolbar_left td#toolbar_filler {
    width: auto;
}
.toolbar_right td {
    width: 30px;
}
.toolbar_right td#toolbar_filler {
    width: auto;
}
.toolbar_menu_button {
    width: 34px;
    height: 34px;
    margin: 5px 2px 0 2px;
    cursor: pointer;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 38px 38px;
}
.toolbar_menu_button:hover {
    /*border: 1px solid #C0DCF3;
     background-color: #d8e6f2;*/
}
.toolbar_menu_button_disabled {
    filter: grayscale(1) contrast(.25);
}
.toolbar_menu_button_disabled:hover {
    border: 1px solid transparent;
    background-color: transparent;
    cursor: auto;
}
.toolbar_menu_new {
    background-image: url("/img/dialog/new.png");
}
.toolbar_menu_edit {
    background-image: url("/img/dialog/modifica.png");
}
.toolbar_menu_save {
    background-image: url("/img/dialog/save.png");
}
.toolbar_menu_copy {
    background-image: url("/img/dialog/copy.png");
}
.toolbar_menu_print {
    background-image: url("/img/dialog/print.png");
}
.toolbar_menu_mail {
    background-image: url("/img/dialog/mail_open.png");
}
.toolbar_menu_search {
    background-image: url("/img/dialog/search.png");
}
.toolbar_menu_launch {
    background-image: url("/img/dialog/launch.png");
}
.toolbar_menu_import {
    background-image: url("/img/dialog/importa.png");
    width: 28px;
    height: 28px;
    margin-top: 0;
}
.toolbar_menu_annulladoc {
    background-image: url("/img/dialog/annulladoc.png");
}
.toolbar_menu_begin {
    background-image: url("/img/icons/first_24.png");
}
.toolbar_menu_prev {
    background-image: url("/img/dialog/indietro.png");
}
.toolbar_menu_next {
    background-image: url("/img/dialog/avanti.png");
}
.toolbar_menu_end {
    background-image: url("/img/icons/last_24.png");
}
.toolbar_menu_delete {
    background-image: url("/img/icons/delete_24.png");
}
.toolbar_menu_undo {
    background-image: url("/img/dialog/annulla.png");
}
.toolbar_menu_manuale {
    background-image: url("/img/dialog/but_manuale.png");
}
.toolbar_menu_help {
    /*background-image: url("/img/icons/but_manuale.png");*/
    background-image: url("/img/icons/v5/butmenu_manuale.png");
    background-size: 28px 28px;
    /*width: 28px;
    height: 28px;*/
    margin: 0 2px 5px 2px;
}
.toolbar_menu_start {
    background-image: url("/img/dialog/genera.png");
}
.toolbar_menu_stop {
    background-image: url("/img/dialog/stop.png");
}

/* REPORT */
.flt_openclose {
    margin-top: 20px;
    height: 16px;
    cursor: pointer;
}
.cybGraph {
    margin: 10px 30px 0px 30px;
    width: 100%;
    height: 100%;
}

.cybGraphLegendEntry {
    cursor: pointer;
}
.cybGraphLegendEntry_off {
    color: #CCCCCC;
}
.flotr-legend {
    background-color: #FFFFFF;
    border: 1px solid lightgray;
    border-radius: 0;
}
.flotr-legend > table tr:nth-child(odd), .flotr-legend > table tr:nth-child(even) {
    background-color: #FFFFFF;
}
/* POPUP */
div.popup {
    display: none;
    position: absolute;
    top: 150px;
    left: 500px;
    width: 800px;
    height: 600px;
    background-color: #FFFFFF;
    border: 3px solid #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    border: 3px solid var(--main-app-color);
    box-shadow: 6px 6px 8px #700000
}
div.popup_header {
    border: 1px solid transparent;
    width: 100%;
    display: table;
    background-color: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    background-color: var(--main-app-color);
}
div.popup_header > div.popup_headerrow {
    display: table-row;
}
div.popup_header > div.popup_headerrow > div.popup_headertitle {
    display: table-cell;
    cursor: -webkit-grab;
    padding-left: 5px;
}
div.popup_header > div.popup_headerrow > div.popup_headertitle:active {
    cursor: -webkit-grabbing;
}
div.popup_header > div.popup_headerrow > div.popup_headerbutton {
    display: table-cell;
    width: 35px;
    background-color: #FFFFFF;
    background: url(/img/icons/v5/popup_top_close.png) no-repeat center;
    cursor: pointer;
}
div.popup_header > div.popup_headerrow > div.popup_headerbutton:hover {
    background: url(/img/icons/v5/popup_top_close_h.png) no-repeat center;
}
div.popup_content {
    border: 1px solid #A8A8A8;
    height: calc(100% - 26px);
    margin: 1px;
}
div.popup_content > iframe.popup_page {
    width: 100%;
    height: 100%;
    border: none;
}
/* Tabelle in maschera */
.tabella {
    width: calc(100% - 20px);
}

.tabella.disabilitato {
    border: 1px solid #7D7D7D;
    border-radius: 0;
}

.tabella > thead > tr:first-child:not(.hidden),.tabella:not(.lista) > thead > tr:first-child:not(.hidden) {
    background-color:#B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    background-color:var(--main-app-color);
}
.tabella.disabilitato:not(.lista) > thead > tr:first-child:not(.hidden) {
    background-color: #A0A0A0;
}
.tabella > tbody > tr[data-cancellato="1"] {
    display: none !important;
}
.tabella > tbody > tr:nth-of-type(even) {
    background-color: #ffffff;
}

.tabella > tbody > tr:nth-of-type(odd) {
    background-color: #FAFAFA;
}

.tabella.disabilitato > tbody > tr:nth-of-type(odd) {
    background-color: #F1F1F1;
}

.tabella > tbody > tr > td:first-child:not(.hidden) {
    border-left:1px solid #d3d3d3;
}
.tabella.disabilitato img.searchfield_img {
    filter: grayscale(100%);
}
.cellatable {
    font-size: 12px;
    border-bottom: 1px solid #d3d3d3;
    border-right: 1px solid #d3d3d3;
    color: #4d4d4d;
    padding: 3px 3px 3px 3px;
}
.iconatable {
    padding: 2px;
    width: 16px;
}
.edittableimg, .viewtableimg, .newtableimg, .copytableimg, .deletetableimg, .printtableimg, .anntableimg, .doctableimg, .conftableimg {
    cursor: pointer;
    width:16px; min-width:16px; max-width:16px;
}
.bottonitable {
    background-color: #dedee0 !important;
    border-bottom: 1px solid #FFF;
    border-right: 1px solid #FFF;
}
.testatatable {
    font-size: 13px;
    font-weight: bold;
    white-space: nowrap;
    border-bottom: 1px solid #d3d3d3;
    border-right: 1px solid #d3d3d3;
    color: #FFF;
    padding: 3px 3px 3px 0;
    height: 30px;
    vertical-align: middle;
    text-align: center;
}
.cellatable.nopadding {
    padding: 0px;
}
.semaforo_OK, .semaforo_WARNING, .semaforo_TRANSPARENT, .semaforo_KO {
    vertical-align: middle;
    padding-top: 3px;
    height: 24px;
}
.semaforo_OK, .semaforo_OK:focus {
    background-color: #78FF80 !important;
}
.semaforo_WARNING, .semaforo_WARNING:focus {
    background-color: #FFFCA2 !important;
}
.semaforo_TRANSPARENT, .semaforo_TRANSPARENT:focus {
    background-color: transparent !important;
}
.semaforo_KO, .semaforo_KO:focus {
    background-color: #DA7979 !important;
}
.piedetable {
    background-color: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    background-color: var(--main-app-color);
    padding: 2px 5px;
}
.piedetable>div {
    display:inline-block;
    width: 50%;
    color: #FFFFFF;
}
.piedetable>div.piede_navpagine {
    text-align: right;
}
.piedetable>div.piede_navpagine>*,.piedetable>div.piede_navpagine>label>* {
    display:inline-block;
}
.piedetable>div.piede_navpagine>img {
    height: 20px;
    cursor: pointer;
    margin: 2px;
    margin-top: 4px;
}
.piedetable>div.piede_navpagine>label,.piedetable>div.piede_totrisultati>label {
    color: #FFFFFF;
    font-size: 12px;
    font-weight: bold;
}
.piedetable>div.piede_navpagine select.lista_numrighe,.piedetable>div.piede_totrisultati select.lista_numrighe {
    height: 16px;
    margin: 0;
    padding: 0;
    width: 40px;
    font-family: inherit;
    font-size: 12px;
    vertical-align: middle;
    -webkit-appearance: listitem;
}
.piedetable>div.piede_navpagine>label>input {
    width: 26px;
    height: 15px;
}
.piedetable>div.piede_totrisultati {
    text-align: left;
}
.tabella.lista tbody tr.riga_annullata {
    background-color: #E0E0E0;
}
.tabella.lista tbody tr.riga_selezionata td {
    border-top: 1px solid #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    border-top: 1px solid var(--main-app-color);
    border-bottom: 1px solid #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    border-bottom: 1px solid var(--main-app-color);
    background-color: #FEFBFB;
}
.tabella.lista tbody tr.riga_selezionata.riga_annullata td {
    background-color: #E0E0E0 !important;
}

.tabella.lista tbody tr.riga_selezionata td:first-of-type {
    border-left: 1px solid #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    border-left: 1px solid var(--main-app-color);
}

.tabella.lista tbody tr.riga_selezionata td:last-of-type {
    border-right: 1px solid #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    border-right: 1px solid var(--main-app-color);
}
.globalbuttons_container {
    padding-bottom: 1px;
    width: 100%;
    margin: 0;
    overflow: hidden;
    /*border-top: 1px solid #D3D3D3;
    border-left: 1px solid #D3D3D3;
    border-radius: 0px;*/
}
.globalbuttons_container td {
    padding: 0;
    background-color: transparent;
}
.globalbutton {
    width: 30px;
    padding: 1px 6px;
    cursor: pointer;
}
.lista_floatbutton {
    position: absolute;
    top: 0;
    left: 0;
    cursor: pointer;
}
.lista_floatbutton>img {
    width: 38px;
    height: 38px;
    max-width: 38px;
}
.form_link {
    text-decoration: underline;
    color: #0000FF;
    cursor: pointer;
}

/* GESTIONE TAB */
ul.tablabels {
    list-style-type: none;
    padding: 0;
    margin: 0 10px;
    height: 27px;
}
li.tablabel {
    float: left;
    color: #4d4d4d;
    min-width: 80px;
    font-size: 11px;
    font-weight: bold;
    border-top: 1px solid #888888;
    border-left: 1px solid #888888;
    border-right: 1px solid #888888;
    background-color: #FFFFFF;
    cursor: pointer;
    text-align: center;
    vertical-align: middle;
    padding: 2px 10px;
    margin-top: 6px;
}
li.tablabel.selectedtab {
    background-color: #B22F36; /* COLORE ONLINE DI FALLBACK PER CHI NON SUPPORTA `var(--main-app-color)`*/
    background-color: var(--main-app-color);
    color: #F6FAFE;
    padding: 5px 10px;
    margin-top: 0;
}
li.tablabel:hover {

}
div.tab_container {
    padding-top: 0;
    /*border-top: 1px solid #C0C0C0;
    border-right: 2px inset #C0C0C0;
    border-bottom: 2px inset #C0C0C0;
    border-left: 1px solid #C0C0C0;*/
    border: 1px solid #888888;
    padding: 5px 0;
    padding-right: 8px;
    margin-left: 8px;
    margin-right: 12px;
}
ul.tablabels > li.tablabel:first-of-type {
}
.table_contenuto {
    padding-top: 2px;
}
.input_numero{
    background-color: transparent;
    border: none;
    cursor: inherit;
    font-size: 12px;
    /* font-weight: bold; */
    font-family: inherit;
    color: #4D4D4D;
}
.input_numero{
    background-color: transparent;
    border: none;
    cursor: inherit;
    font-size: 12px;
    /* font-weight: bold; */
    font-family: inherit;
    color: #4D4D4D;
}
.input_numero:focus{
    background-color: transparent;
    border: none;
    cursor: inherit;
    font-size: 12px;
    /* font-weight: bold; */
    font-family: inherit;
    color: #4D4D4D;
}
.table_invio > table tr > td > input[type="text"]{
	background-color: transparent;
    border: none;
    cursor: inherit;
    font-size: 12px;
    /* font-weight: bold; */
    font-family: inherit;
    color: #4D4D4D;
}
.table_invio > table tr > td > input[type="text"]:focus{
	background-color: transparent;
    border: none;
    cursor: inherit;
    font-size: 12px;
    /* font-weight: bold; */
    font-family: inherit;
    color: #4D4D4D;
}

